
/* 
 * Copyright (c) 2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef mor_POSTER_XML_LIB_H
#define mor_POSTER_XML_LIB_H

#include "genom/posterXMLLib.h"

#include "morPrintXML.h"
#include "morPosterLib.h"

/* Prototypes */
void webmor(FILE *f, int argc, char **argv, char **argn);
extern STATUS morCntrlPosterXML (FILE *f);
extern STATUS morCntrlPosterActivityXML (FILE *f);
extern STATUS morMEPosPosterXML (FILE *f);
extern STATUS morMEPosmePosPosterXML (FILE *f);
extern STATUS morOdoPosterXML (FILE *f);
extern STATUS morOdoRobotPosterXML (FILE *f);
extern STATUS morRefPosterXML (FILE *f);
extern STATUS morRefRefPosterXML (FILE *f);
extern STATUS morSpinePosterXML (FILE *f);
extern STATUS morSpineStatePosterXML (FILE *f);
extern STATUS morSpineRefPosterXML (FILE *f);
extern STATUS morRawDataPosterXML (FILE *f);
extern STATUS morRawDataDataPosterXML (FILE *f);
#endif /* MOR_POSTER_XML_LIB_H */

