/* 
 * Copyright (c) 1993-2010 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef MOR_PRINT_H
#define MOR_PRINT_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/genBasicTclservClientEncode.h"

#include "server/tclservClient/genPosTclservClientEncode.h"

#include "server/tclservClient/pomTclservClientEncode.h"


#include "server/morPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
void buf_add_struct_MOR_RAWDATA_POSTER_STR ( buf_t buf, struct MOR_RAWDATA_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_MOR_SPINE_POSTER_STR ( buf_t buf, struct MOR_SPINE_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_MOR_REF_POSTER_STR ( buf_t buf, struct MOR_REF_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_MOR_ODO_POSTER_STR ( buf_t buf, struct MOR_ODO_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_MOR_MEPOS_POSTER_STR ( buf_t buf, struct MOR_MEPOS_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_MOR_GENOM_STR ( buf_t buf, struct MOR_GENOM_STR *x, int nDim, int *dims);
void buf_add_struct_MOR_ROBOT_DATA ( buf_t buf, struct MOR_ROBOT_DATA *x, int nDim, int *dims);
void buf_add_struct_MOR_WHEEL_DATA ( buf_t buf, struct MOR_WHEEL_DATA *x, int nDim, int *dims);
void buf_add_struct_MOR_SPINE_STATE ( buf_t buf, struct MOR_SPINE_STATE *x, int nDim, int *dims);
void buf_add_struct_MOR_SPINE_REF ( buf_t buf, struct MOR_SPINE_REF *x, int nDim, int *dims);
void buf_add_struct_MOR_TRACK_PARAMS ( buf_t buf, struct MOR_TRACK_PARAMS *x, int nDim, int *dims);
void buf_add_enum_MOR_MODE ( buf_t buf, enum MOR_MODE *x, int nDim, int *dims);
void buf_add_struct_MOR_INIT_PARAMS ( buf_t buf, struct MOR_INIT_PARAMS *x, int nDim, int *dims);

/* ======================== PRINT DES TYPEDEF ============================= */

void buf_add_MOR_INIT_PARAMS ( buf_t buf, MOR_INIT_PARAMS *x, int nDim, int *dims);
void buf_add_MOR_MODE ( buf_t buf, MOR_MODE *x, int nDim, int *dims);
void buf_add_MOR_TRACK_PARAMS ( buf_t buf, MOR_TRACK_PARAMS *x, int nDim, int *dims);
void buf_add_MOR_SPINE_REF ( buf_t buf, MOR_SPINE_REF *x, int nDim, int *dims);
void buf_add_MOR_SPINE_STATE ( buf_t buf, MOR_SPINE_STATE *x, int nDim, int *dims);
void buf_add_MOR_WHEEL_DATA ( buf_t buf, MOR_WHEEL_DATA *x, int nDim, int *dims);
void buf_add_MOR_ROBOT_DATA ( buf_t buf, MOR_ROBOT_DATA *x, int nDim, int *dims);
void buf_add_MOR_GENOM_STR ( buf_t buf, MOR_GENOM_STR *x, int nDim, int *dims);
void buf_add_MOR_MEPOS_POSTER_STR ( buf_t buf, MOR_MEPOS_POSTER_STR *x, int nDim, int *dims);
void buf_add_MOR_ODO_POSTER_STR ( buf_t buf, MOR_ODO_POSTER_STR *x, int nDim, int *dims);
void buf_add_MOR_REF_POSTER_STR ( buf_t buf, MOR_REF_POSTER_STR *x, int nDim, int *dims);
void buf_add_MOR_SPINE_POSTER_STR ( buf_t buf, MOR_SPINE_POSTER_STR *x, int nDim, int *dims);
void buf_add_MOR_RAWDATA_POSTER_STR ( buf_t buf, MOR_RAWDATA_POSTER_STR *x, int nDim, int *dims);
#ifdef __cplusplus
}
#endif

#endif /* MOR_TCLSERV_CLIENT_ENCODE_H */

